// HttpException.java - An generic Exception class for HttpServer.
//
// Copyright (C) 1999-2002  Smart Software Consulting
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
// Smart Software Consulting
// 1688 Silverwood Court
// Danville, CA  94526-3079
// USA
// 
// http://www.smartsc.com
//

package com.smartsc.http;

public class
HttpException
extends Exception
{
	protected
	HttpException( int statusCode)
	{
		this( statusCode, "Unknown Reason");
	}
	
	protected
	HttpException( int statusCode, String reasonPhrase)
	{
		super( reasonPhrase);
		this.statusCode   = statusCode;
		this.reasonPhrase = reasonPhrase;
	}
	
	public
	int
	getStatusCode()
	{
		return statusCode;
	}
	
	public
	String
	getReasonPhrase()
	{
		return reasonPhrase;
	}
	
	private int statusCode;
	private String reasonPhrase;
}